Bug 172863 - Kernel cannot properly detect MGE Ellipse USBS UPS
Kernel cannot properly detect MGE Ellipse USBS UPS
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-11-10 12:41 EST by David Zakar
Modified: 2015-01-04 17:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-04 21:53:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Zakar 2005-11-10 12:41:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
When I plug in the USB cable of the MGE Ellipse USBS uninterruptible power supply, it fails to give me a USB serial port. Error message from dmesg:
usb 5-1: new low speed USB device using uhci_hcd and address 3
usbhid: probe of 5-1:1.0 failed with error -5

I can also confirm this bug on FC3 with latest kernel (2.6.12 something).

The NUT folks seem to think that configuring CONFIG_USB_LONG_TIMEOUT solves this (see: http://www.networkupstools.org/faq/). Alas, that option doesn't exist anymore.

UPS can be found by NUT just fine when using a serial cable. However, we bought these specifically because of the USB capability, as we need our serial ports for other things.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Plug in MGE Ellipse USBS UPS with USB cable

Actual Results:  Kernel error, no USB tty device created

Expected Results:  No kernel error, USB tty device created, NUT can use the new device

Additional info:
Comment 1 Dave Jones 2005-11-10 14:31:42 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 2 Dave Jones 2006-02-03 01:48:08 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 3 John Thacker 2006-05-04 21:53:42 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.